#
# spec file for package terrafor (Version 0.8.3)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  audiofile autoconf automake esound esound-devel gdk-pixbuf gdk-pixbuf-devel glib glib-devel gnome-core gnome-core-devel gnome-libs gnome-libs-devel gnome-print gnome-print-devel gtk gtk-devel imlib imlib-devel libungif libxml libxml-devel orbit orbit-devel xf86
# usedforbuild    aaa_base aaa_dir audiofile autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs esound esound-devel file fileutils findutils flex gawk gcc gdbm gdbm-devel gdk-pixbuf gdk-pixbuf-devel gettext glib glib-devel glibc glibc-devel gnome-core gnome-core-devel gnome-libs gnome-libs-devel gnome-print gnome-print-devel gpm gppshare grep groff gtk gtk-devel gzip imlib imlib-devel kbd less libtool libungif libxml libxml-devel libz m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg orbit orbit-devel pam pam-devel patch perl ps rcs readline rpm sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim xdevel xf86 xshared

Name:         terrafor
Copyright:    1999 Robert Gasch
Group:        X11/Applications/Graphics
Autoreqprov:  on
Summary:      Fractal terrain generator
Version:      0.8.3
Release:      53
Source0:      terraform-%{version}.tar.bz2
#Patch0: terraform-0.7.3.dif

%description
Terraform allows you to create fractal terrain (also called a height field)
and transform it using a number of algorithms. It is meant to be a tool for
those who want to generate digital terrain models for use in raytracing or
other simulations.

Authors:
--------
    Robert Gasch <Robert_Gasch@peoplesoft.com>

SuSE series: gra

%prep
%setup -n terraform-%{version}
#%patch -P 0 -E

%build
CFLAGS="-DNDEBUG $RPM_OPT_FLAGS" ./configure \
  --prefix=/opt/gnome --with-included-gettext \
  
touch ./docs/Makefile.in --reference=./src/Makefile.am
make

%install
make install
rm -f /usr/info/dir.bak.gz

%files
%doc docs/* AUTHORS COPYING ChangeLog INSTALL NEWS ABOUT-NLS
%dir /opt/gnome/doc/terraform
%dir /opt/gnome/share/gnome/help/terraform
%dir /opt/gnome/share/gnome/help/terraform/C
%dir /opt/gnome/share/gnome/help/terraform/fr
%dir /opt/gnome/share/gnome/ximian
%dir /opt/gnome/share/gnome/ximian/Programs
%dir /opt/gnome/share/gnome/ximian/Programs/Graphics
%dir /opt/gnome/share/pixmaps/terraform
%dir /opt/gnome/share/terraform
%dir /opt/gnome/share/terraform/include
%dir /opt/gnome/share/terraform/objects
%dir /opt/gnome/share/terraform/themes
/opt/gnome/bin/terraform
/opt/gnome/doc/terraform/FAQ.sgml
/opt/gnome/doc/terraform/FAQ.txt
/opt/gnome/doc/terraform/README.sgml
/opt/gnome/doc/terraform/README.txt
/opt/gnome/doc/terraform/UsersGuide.sgml
/opt/gnome/doc/terraform/UsersGuide.txt
/opt/gnome/doc/terraform/i18n.txt
/opt/gnome/share/gnome/apps/Graphics/Terraform.desktop
/opt/gnome/share/gnome/help/terraform/C/faq.html
/opt/gnome/share/gnome/help/terraform/C/hacking.html
/opt/gnome/share/gnome/help/terraform/C/index.html
/opt/gnome/share/gnome/help/terraform/C/mainwindow.png
/opt/gnome/share/gnome/help/terraform/C/povray.png
/opt/gnome/share/gnome/help/terraform/C/templates.html
/opt/gnome/share/gnome/help/terraform/C/terrainwindow.png
/opt/gnome/share/gnome/help/terraform/C/topic.dat
/opt/gnome/share/gnome/help/terraform/C/tutorial.html
/opt/gnome/share/gnome/help/terraform/C/wire.png
/opt/gnome/share/gnome/help/terraform/fr/faq.html
/opt/gnome/share/gnome/help/terraform/fr/hacking.html
/opt/gnome/share/gnome/help/terraform/fr/index.html
/opt/gnome/share/gnome/help/terraform/fr/templates.html
/opt/gnome/share/gnome/help/terraform/fr/topic.dat
/opt/gnome/share/gnome/help/terraform/fr/tutorial.html
/opt/gnome/share/gnome/ximian/Programs/Graphics/Terraform.desktop
/opt/gnome/share/locale/fr/LC_MESSAGES/terraform.mo
/opt/gnome/share/locale/nl/LC_MESSAGES/terraform.mo
/opt/gnome/share/pixmaps/terraform.png
/opt/gnome/share/pixmaps/terraform/add.xpm
/opt/gnome/share/pixmaps/terraform/arrow.xpm
/opt/gnome/share/pixmaps/terraform/circle.xpm
/opt/gnome/share/pixmaps/terraform/die.xpm
/opt/gnome/share/pixmaps/terraform/rectangle.xpm
/opt/gnome/share/pixmaps/terraform/replace.xpm
/opt/gnome/share/pixmaps/terraform/subtract.xpm
/opt/gnome/share/pixmaps/terraform/terraform_logo.xpm
/opt/gnome/share/terraform/include/defaults.inc
/opt/gnome/share/terraform/include/earth_canyon_landscape.inc
/opt/gnome/share/terraform/include/earth_green_landscape.inc
/opt/gnome/share/terraform/include/earth_sky.inc
/opt/gnome/share/terraform/include/earth_water.inc
/opt/gnome/share/terraform/include/generic_land.inc
/opt/gnome/share/terraform/objects/monolith.inc
/opt/gnome/share/terraform/objects/tree_macro.inc
/opt/gnome/share/terraform/themes/bare_rock.pov
/opt/gnome/share/terraform/themes/earth_canyon.pov
/opt/gnome/share/terraform/themes/earth_green.pov

%changelog -n terrafor
* Tue Sep 04 2001 - uli@suse.de
- update -> 0.8.3 (New export view functionality; antialiased 3D wireframe;
  3D modes fill entire window; multiflow erosion 10x speedup; new terrain
  chooser generates multiple terrains and allows the user to select one (or
  more) of them; locale fixes; build fixes for gcc 3.0; command-line support
  for loading files; exported terrain displays as greyscale in GIMP; support
  for VRML output; added file type option menus to file selection windows; fixed
  handling of non-square terrains)
* Tue Jul 24 2001 - uli@suse.de
- update -> 0.8.1
* Sat Apr 14 2001 - schwab@suse.de
- Fix invalid cast.
- Fix missing declarations.
* Mon Mar 05 2001 - ro@suse.de
- changed neededforbuild <sigc++> to <libsigc++>
- changed neededforbuild <sigc++-devel> to <libsigc++-devel>
* Mon Feb 26 2001 - uli@suse.de
- made it accept gtk-- 2.5
* Tue Feb 06 2001 - uli@suse.de
- made configure accept gtk-- 2.4
- added sigc++-devel to neededforbuild
* Fri Nov 03 2000 - uli@suse.de
- fixed neededforbuild, Group
* Fri Sep 22 2000 - uli@suse.de
- update -> 0.7.3
* Wed Jun 07 2000 - ro@suse.de
- doc relocation
* Fri Oct 15 1999 - uli@suse.de
- New version 0.4.2
* Fri Sep 17 1999 - kettner@suse.de
- Reinserted old # Commandline: line.
* Mon Sep 13 1999 - bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Tue Jul 20 1999 - uli@suse.de
- New version 0.3.5
* Tue Jul 13 1999 - bs@suse.de
- use gtk and glib instead of gtkn and glibn
* Tue Jul 06 1999 - uli@suse.de
- New version 0.3.4
* Wed Jun 23 1999 - uli@suse.de
- New version 0.3.3
* Thu Jun 10 1999 - uli@suse.de
- Spec file created from terraform-0.3.2.tgz by autospec
